## org.eclipse.ocl.expressions.operations
Class TupleLiteralExpOperations

    java.lang.Object
      org.eclipse.ocl.expressions.operations.TupleLiteralExpOperations

    public class TupleLiteralExpOperations

extends Object

A static utility class that provides operations related to 'Tuple Literal Exp' model objects.

The following operations are supported:

- `Check Tuple Type`
- `Check Parts Unique`

Constructor Summary
`protected` `TupleLiteralExpOperations()`

Method Summary

`static

`<C,P> boolean`

`

`checkPartsUnique(TupleLiteralExp<C,P> tupleLiteralExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
part->isUnique (attribute.name)

`static

`<C,P> boolean`

`

`checkTupleType(TupleLiteralExp<C,P> tupleLiteralExp, DiagnosticChain diagnostics, Map<Object,Object> context)`
type.oclIsKindOf (TupleType) and part->forAll (tlep | type.oclAsType (TupleType).allProperties()->exists (tp | tlep.attribute = tp)) and part->size() = type.oclAsType (TupleType).allProperties()->size()

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TupleLiteralExpOperations

    protected TupleLiteralExpOperations()

Method Detail

### checkTupleType

    public static <C,P> boolean checkTupleType(TupleLiteralExp<C,P> tupleLiteralExp,
                                               DiagnosticChain diagnostics,
                                               Map<Object,Object> context)

  type.oclIsKindOf (TupleType) and part->forAll (tlep | type.oclAsType (TupleType).allProperties()->exists (tp | tlep.attribute = tp)) and part->size() = type.oclAsType (TupleType).allProperties()->size()

  Parameters:
    `tupleLiteralExp` - The receiving 'Tuple Literal Exp' model object.
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

### checkPartsUnique

    public static <C,P> boolean checkPartsUnique(TupleLiteralExp<C,P> tupleLiteralExp,
                                                 DiagnosticChain diagnostics,
                                                 Map<Object,Object> context)

  part->isUnique (attribute.name)

  Parameters:
    `tupleLiteralExp` - The receiving 'Tuple Literal Exp' model object.
    `diagnostics` - The chain of diagnostics to which problems are to be appended.
    `context` - The cache of context-specific information.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.